#!/usr/bin/env node
import c from "yargs";
import { hideBin as l } from "yargs/helpers";
import { handler as i } from "./handler.mjs";
import s from "chalk";
import n from "./injectInfo.json.mjs";
const m = () => ({
  sourceJsonFilePath: {
    type: "string",
    alias: "s",
    describe: "信息源json文件相对路径",
    default: "./package.json"
  },
  injectKeyPath: {
    type: "array",
    alias: "k",
    describe: "需要注入的key路径",
    default: ["name", "version", "description"]
  },
  injectInfoFilePath: {
    type: "string",
    alias: "i",
    describe: "注入信息文件路径",
    default: "./src/injectInfo.json"
  }
}), t = n.cliConfig.commandName, d = (e, o) => {
  console.log(e ? s.red(e) : s.red(o.message)), process.exit(1);
}, p = n.description, g = `Usage: $0 ${t} [options]`, f = "Usage: $0 [options]", a = (e, o) => {
  const r = m();
  return e.strict().usage(o).help("help").version(n.version).alias("v", "version").alias("h", "help").options(r).fail(d).argv;
}, h = (e) => a(e, g), C = {
  command: t,
  describe: p,
  builder: h,
  handler: i
}, k = async () => {
  const e = c(l(process.argv)), o = await a(e, f);
  return i(o);
};
export {
  C as command,
  k as createCli
};
